juzu.request

## Class Phase.View.Dispatch

- java.lang.Object
- - juzu.Response
  - - juzu.Response.View
    - - juzu.request.Phase.View.Dispatch

- All Implemented Interfaces:
    Dispatch
  Enclosing class:
    Phase.View

      public static class Phase.View.Dispatch
      extends Response.View
      implements Dispatch

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class juzu.Response

      `Response.Action, Response.Body, Response.Content, Response.Error, Response.Redirect, Response.Status, Response.View`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Phase.View.Dispatch(juzu.impl.bridge.spi.DispatchBridge delegate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `Dispatch` | `escapeXML(Boolean escapeXML)`
    `Map<String,ResponseParameter>` | `getParameters()`
    `juzu.impl.common.MethodHandle` | `getTarget()`
    `Phase.View.Dispatch` | `setParameter(Encoding encoding, String name, String value)` Set a parameter on the URL that will be built by this builder.
    `Phase.View.Dispatch` | `setParameter(Encoding encoding, String name, String[] value)` Set a parameter on the URL that will be built by this builder.
    `Phase.View.Dispatch` | `setParameter(String name, String value)` Set a parameter on the URL that will be built by this builder.
    `Phase.View.Dispatch` | `setParameter(String name, String[] value)` Set a parameter.
    `<T> Dispatch` | `setProperty(PropertyType<T> propertyType, T propertyValue)` Set or clear a property of the URL.
    `String` | `toString()`
    `Dispatch` | `with(juzu.impl.common.MimeType mimeType)`
    `Dispatch` | `with(PropertyMap properties)`

    - ### Methods inherited from class juzu.Response.View

      `with, with, withHeader, withNo, without`

    - ### Methods inherited from class juzu.Response

      `content, content, content, content, content, error, error, getProperties, notFound, notFound, notFound, notFound, notFound, ok, ok, ok, ok, ok, redirect, status`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Phase.View.Dispatch

          public Phase.View.Dispatch(juzu.impl.bridge.spi.DispatchBridge delegate)

  - ### Method Detail

    - #### with

          public Dispatch with(juzu.impl.common.MimeType mimeType)

      Specified by:
        `with` in interface `Dispatch`

    - #### with

          public Dispatch with(PropertyMap properties)

      Specified by:
        `with` in interface `Dispatch`

    - #### escapeXML

          public Dispatch escapeXML(Boolean escapeXML)

      Specified by:
        `escapeXML` in interface `Dispatch`

    - #### setProperty

          public <T> Dispatch setProperty(PropertyType<T> propertyType,
                                 T propertyValue)
                               throws IllegalArgumentException

      Description copied from interface: `Dispatch`
      Set or clear a property of the URL.
      Specified by:
        `setProperty` in interface `Dispatch`
      Type Parameters:
        `T` - the property generic type
      Parameters:
        `propertyType` - the property type
        `propertyValue` - the property value
      Returns:
        this URL builder
      Throws:
        `IllegalArgumentException` - if the property is not valid

    - #### getParameters

          public Map<String,ResponseParameter> getParameters()

    - #### getTarget

          public juzu.impl.common.MethodHandle getTarget()

    - #### setParameter

          public final Phase.View.Dispatch setParameter(String name,
                                         String value)
                                                 throws NullPointerException

      Description copied from interface: `Dispatch`

      Set a parameter on the URL that will be built by this builder. This method replaces the parameter with the given name . A parameter value of `null` indicates that this parameter should be removed.

      Specified by:
        `setParameter` in interface `Dispatch`
      Parameters:
        `name` - the parameter name
        `value` - the parameter value
      Throws:
        `NullPointerException` - if the name parameter is null

    - #### setParameter

          public final Phase.View.Dispatch setParameter(Encoding encoding,
                                         String name,
                                         String value)
                                                 throws NullPointerException

      Description copied from interface: `Dispatch`

      Set a parameter on the URL that will be built by this builder. This method replaces the parameter with the given name . A parameter value of `null` indicates that this parameter should be removed.

      Specified by:
        `setParameter` in interface `Dispatch`
      Parameters:
        `encoding` - the character encoding
        `name` - the parameter name
        `value` - the parameter value
      Throws:
        `NullPointerException` - if the name parameter is null

    - #### setParameter

          public final Phase.View.Dispatch setParameter(String name,
                                         String[] value)
                                                 throws NullPointerException,
                                                        IllegalArgumentException

      Description copied from interface: `Dispatch`
      Set a parameter. This method replaces the parameter with the given name . An zero length parameter value indicates that this parameter should be removed.

      The inserted value is cloned before its insertion in the map.
      Specified by:
        `setParameter` in interface `Dispatch`
      Parameters:
        `name` - the parameter name
        `value` - the parameter value
      Throws:
        `NullPointerException` - if the name parameter or the value parameter is null
        `IllegalArgumentException` - if any component of the value is null

    - #### setParameter

          public final Phase.View.Dispatch setParameter(Encoding encoding,
                                         String name,
                                         String[] value)
                                                 throws NullPointerException

      Description copied from interface: `Dispatch`

      Set a parameter on the URL that will be built by this builder. This method replaces the parameter with the given name . A parameter value of `null` indicates that this parameter should be removed.

      Specified by:
        `setParameter` in interface `Dispatch`
      Parameters:
        `encoding` - the character encoding
        `name` - the parameter name
        `value` - the parameter value
      Throws:
        `NullPointerException` - if the name parameter is null

    - #### equals

          public boolean equals(Object obj)

      Specified by:
        `equals` in class `Response.View`

    - #### toString

          public final String toString()

      Specified by:
        `toString` in interface `Dispatch`
      Overrides:
        `toString` in class `Object`

Copyright © 2013 eXo Platform SAS. All Rights Reserved.